Bug 1325500 - [abrt] calibre: QObject::disconnect(): python2.7 killed by SIGSEGV
Summary: [abrt] calibre: QObject::disconnect(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:76e3289c3b30541a3f9cc51b123...
: 1342296 1358774 1404009 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-09 09:36 UTC by Mikko Tiihonen
Modified: 2017-08-08 14:12 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:12:09 UTC


Attachments (Terms of Use)
File: backtrace (83.58 KB, text/plain)
2016-04-09 09:36 UTC, Mikko Tiihonen
no flags Details
File: cgroup (148 bytes, text/plain)
2016-04-09 09:36 UTC, Mikko Tiihonen
no flags Details
File: core_backtrace (29.12 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: dso_list (31.97 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: environ (2.29 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: exploitable (82 bytes, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: maps (148.68 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: mountinfo (3.61 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: open_fds (1.60 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-04-09 09:37 UTC, Mikko Tiihonen
no flags Details

Description Mikko Tiihonen 2016-04-09 09:36:47 UTC
Version-Release number of selected component:
calibre-2.52.0-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     15146
kernel:         4.6.0-0.rc1.git0.3.fc25.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 QObject::disconnect at kernel/qobject.cpp:2949
 #2 QDBusConnectionPrivate::closeConnection at qdbusintegrator.cpp:1126
 #3 QDBusConnectionManager::run at qdbusconnection.cpp:191
 #4 QThreadPrivate::start at thread/qthread_unix.cpp:340

Comment 1 Mikko Tiihonen 2016-04-09 09:36:55 UTC
Created attachment 1145367 [details]
File: backtrace

Comment 2 Mikko Tiihonen 2016-04-09 09:36:58 UTC
Created attachment 1145368 [details]
File: cgroup

Comment 3 Mikko Tiihonen 2016-04-09 09:37:02 UTC
Created attachment 1145369 [details]
File: core_backtrace

Comment 4 Mikko Tiihonen 2016-04-09 09:37:06 UTC
Created attachment 1145370 [details]
File: dso_list

Comment 5 Mikko Tiihonen 2016-04-09 09:37:09 UTC
Created attachment 1145371 [details]
File: environ

Comment 6 Mikko Tiihonen 2016-04-09 09:37:11 UTC
Created attachment 1145372 [details]
File: exploitable

Comment 7 Mikko Tiihonen 2016-04-09 09:37:13 UTC
Created attachment 1145373 [details]
File: limits

Comment 8 Mikko Tiihonen 2016-04-09 09:37:20 UTC
Created attachment 1145374 [details]
File: maps

Comment 9 Mikko Tiihonen 2016-04-09 09:37:23 UTC
Created attachment 1145375 [details]
File: mountinfo

Comment 10 Mikko Tiihonen 2016-04-09 09:37:26 UTC
Created attachment 1145376 [details]
File: namespaces

Comment 11 Mikko Tiihonen 2016-04-09 09:37:28 UTC
Created attachment 1145377 [details]
File: open_fds

Comment 12 Mikko Tiihonen 2016-04-09 09:37:31 UTC
Created attachment 1145378 [details]
File: proc_pid_status

Comment 13 Mikko Tiihonen 2016-04-09 09:37:33 UTC
Created attachment 1145379 [details]
File: var_log_messages

Comment 14 Kevin Fenzi 2016-04-09 12:57:41 UTC
What were you doing when this happened?

Can you duplicate the crash?

Comment 15 Florian Bruhin 2016-04-26 09:08:39 UTC
I've also seen this crash (100% reproducible) since updating to Qt 5.6 with my PyQt application.

I've now reported it upstream: https://bugreports.qt.io/browse/QTBUG-52988

Comment 16 Mikko Tiihonen 2016-06-03 06:53:43 UTC
Similar problem has been detected:

I tried to close calibre after using it a few minutes

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     5499
kernel:         4.6.0-1.fc25.x86_64
package:        calibre-2.56.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
reproducible:   The problem is reproducible
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Mikko Tiihonen 2016-06-03 06:57:18 UTC
I can reproduce this now easily:
1) start calibre
2) quit calibre
-> crash

Comment 18 Kevin Fenzi 2016-06-03 21:29:54 UTC
Can you try: https://bodhi.fedoraproject.org/updates/FEDORA-2016-89ded4dc6a and see if it changes anything?

Comment 19 Mikko Tiihonen 2016-06-06 09:04:10 UTC
Still crashes with calibre-2.58.0-1.fc24

Comment 20 Kevin Fenzi 2016-06-06 21:40:10 UTC
This seems to be the same thing as 1330034 but I have no idea why I am not seeing it here. ;(

Comment 21 Adam Hunt 2016-06-08 09:29:32 UTC
Similar problem has been detected:

After importing a few epub documents, updating the metadata, and converting them to mobi Calibre was sitting inactive in the background when it crashed without interaction.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre --detach
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     20131
kernel:         4.5.6-300.fc24.x86_64
package:        calibre-2.58.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 lennart_reuther 2016-06-18 12:04:09 UTC
Similar problem has been detected:

tried starting pdf shuffler before. there pyton complained about a missing library.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre-parallel
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     383
kernel:         4.5.5-300.fc24.x86_64
package:        calibre-2.56.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Berend De Schouwer 2016-07-08 08:08:00 UTC
Possibly related:

When Calibre crashed with the same error, it was also reporting MTP errors.  I had USB devices attached that weren't mounted (Tablet in debug mode)

Calibre does scan USB devices to look for ebook readers.

Comment 24 Dmitry Shishkin 2016-07-21 12:38:43 UTC
*** Bug 1358774 has been marked as a duplicate of this bug. ***

Comment 25 Michal Nowak 2016-07-29 18:08:20 UTC
Similar problem has been detected:

closed ebook viewer

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        python2 /usr/bin/ebook-viewer /home/newman/Documents/ebooks/nietzche-f_antikrist.mobi
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     8545
kernel:         4.6.4-301.fc24.x86_64
package:        calibre-2.60.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 26 Adam Hunt 2016-07-30 06:57:12 UTC
*** Bug 1342296 has been marked as a duplicate of this bug. ***

Comment 27 Nils Philippsen 2016-07-31 10:09:05 UTC
Similar problem has been detected:

Read a text file and quit.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        python2 /usr/bin/ebook-viewer --detach /tmp/.fr-xSGjj2/libmypaint-1.3.0-beta.1/CODE_OF_CONDUCT.md
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     23944
kernel:         4.6.4-301.fc24.x86_64
package:        calibre-2.60.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 28 Zdenek Chmelar 2016-08-02 13:08:28 UTC
Similar problem has been detected:

Appeared when I opened document (book) in E-book viewer. Application didn't crash, just this error appeared.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        python2 /usr/bin/ebook-viewer --detach '/home/zdenek/Documents/Funky.Koval/Funky-Koval-4---Wrogie-Przej\xc3\x84\xe2\x84\xa2cie---KOLOROWY-ALBUM---DODATKI-(2011).cbr'
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     21810
kernel:         4.6.4-301.fc24.x86_64
package:        calibre-2.60.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 29 bztdlinux 2016-08-02 23:05:59 UTC
Similar problem has been detected:

closing calibre

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        python2 /usr/bin/calibre
crash_function: QObject::disconnect
executable:     /usr/bin/python2.7
global_pid:     25948
kernel:         4.6.4-301.fc24.x86_64
package:        calibre-2.60.0-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         python2.7 killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 30 striker.pena 2016-12-12 20:39:45 UTC
*** Bug 1404009 has been marked as a duplicate of this bug. ***

Comment 31 Thomas G.M. Mainka 2017-07-20 05:45:43 UTC
I've the same problem with calibre-3.1.1-1.fc26 and python 2.7.13-11.
Since it is a duplicate, I'wont send a special bug report until someone will ask for this (the report was prepared but could not send, because I had no account in bugzilla at the occurence of the problem).
I suggest the problem may be in the calibre program itself (e.g. using the wrong signal when cleaning subprocesses on exiting the program) and will try to contact the author of calibre too.

Comment 32 Florian Bruhin 2017-07-20 05:55:27 UTC
This is not a calibre bug - it's a Qt bug affecting many PyQt applications and fixed in Qt 5.9: https://bugreports.qt.io/browse/QTBUG-52988

Comment 33 Fedora End Of Life 2017-07-25 20:30:32 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 34 Fedora End Of Life 2017-08-08 14:12:09 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.